%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jboss-jad-1.2-api
Version:       1.0.0
Release:       1%{?dist}
Summary:       JavaEE Application Deployment 1.2 API
Group:         Development/Java
License:       LGPLv2+
URL:           http://www.jboss.org/

# git clone git://github.com/jboss/jboss-jad-api_spec.git
# cd jboss-jad-api_spec/ && git archive --format=tar --prefix=jboss-jad-api_1.2_spec-1.0.0.Final/ jboss-jad-api_1.2_spec-1.0.0.Final | xz > jboss-jad-api_1.2_spec-1.0.0.Final.tar.xz
Source0:       jboss-jad-api_1.2_spec-%{namedversion}.tar.xz
Patch0:        jboss-jad-api_1.2_spec-%{namedversion}-pom.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: jboss-common-core
BuildRequires: jboss-specs-parent
BuildRequires: jboss-logging
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

Requires:      jboss-common-core
Requires:      jboss-specs-parent
Requires:      jboss-logging
Requires:      java
Requires:      jpackage-utils

BuildArch:     noarch

%description
The JavaEE Application Deployment 1.2 API classes.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n jboss-jad-api_1.2_spec-%{namedversion}
%patch0 -p1

%build
mvn-rpmbuild install javadoc:aggregate

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

# JAR
install -pm 644 target/jboss-jad-api_1.2_spec-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

# POM
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

# APIDOCS
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Sep 23 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

